function T = denhart(teta,alfa,a,d)

% Uso:  T = denhart(teta,alfa,a,d)
%
% Costruisce la matrice omogenea T (4x4) associata alla
% trasformazione da un riferimento a quello contiguo
% secondo le convenzioni di Denavit-Hartenberg
% con parametri teta, alfa, a, d
% Nota: gli angoli sono in gradi
 
T = eye(4);

radalfa = grad2rad(alfa);
radteta = grad2rad(teta);

calfa = cos(radalfa);
salfa = sin(radalfa);
cteta = cos(radteta);
steta = sin(radteta);

T(1,1) = cteta;
T(1,2) = steta;
T(1,4) =    -a;

T(2,1) = -calfa*steta;
T(2,2) =  calfa*cteta;
T(2,3) =        salfa;
T(2,4) =     -d*salfa;

T(3,1) =  salfa*steta;
T(3,2) = -salfa*cteta;
T(3,3) =        calfa;
T(3,4) =     -d*calfa;