function R = eul2rot (Angles)

% Uso:  R = eul2rot(Angles)
%
% Calcola la matrice di rotazione R 
% a partire dagli angoli di eulero espressi in gradi
% Angles(1) = Phi, Angles(2) = Theta, Angles(3) = Psi

F  = grad2rad(Angles(1));
T  = grad2rad(Angles(2));;
P  = grad2rad(Angles(3));;

cf = cos(F);
ct = cos(T);
cp = cos(P);

sf = sin(F);
st = sin(T);
sp = sin(P);

R(3,3) =  ct;
R(1,1) =  cf * cp - sf * ct * sp;     
R(1,2) = -cf * sp - sf * ct * cp;
R(1,3) =  sf * st;
R(2,1) =  sf * cp + cf * ct * sp;
R(2,2) = -sf * sp + cf * ct * cp;
R(2,3) = -cf * st;
R(3,1) =  st * sp;
R(3,2) =  st * cp;