% prova varie relazioni su errore tra riferimenti 
% libro Siciliano pag. 104

% costruiamo una matrice di riferimento di partenza a caso

u=rand(3,1);
unorm=norm(u);
un=u/unorm
teta=rand(1,1)*pi

Rd=uth2rot(u,rad2grad(teta))

% costruiamo una matrice di errore piccola

teta_err=[1e-2 1e-2 1e-2]; % in gradi
norma_teta_err=norm(teta_err)
Rerr=rpy2rot(teta_err)

R=Rd*Rerr

% ricalcoliamoci l'errore con i due metodi

% formula Bona R=Rd*Rerr => Rerr=Rd'*R
Re1=Rd'*R
rpy_Re1=rot2rpy(Re1)
[u1,teta1]=rot2uth(Re1)

e1a=u1*sin(grad2rad(teta1))
e1b=0.5*(cross(R(1,:),Rd(1,:))+cross(R(2,:),Rd(2,:))+cross(R(3,:),Rd(3,:)))'

teta_err_comp=rad2grad([Re1(3,2) Re1(1,3) Re1(2,1)])

% formula Siciliano Rd=Rerr*R => Rerr=Rd*R'
Re2=Rd*R'
rpy_R2=rot2rpy(Re2)
[u2,teta2]=rot2uth(Re2)

e2a=u2*sin(grad2rad(teta2))
e2b=0.5*(cross(R(:,1),Rd(:,1))+cross(R(:,2),Rd(:,2))+cross(R(:,3),Rd(:,3)))
