function x = rot2quatCS (R)

% Uso:  Angles = rot2quatCS(R)
%
% Calcola il quaternione corrispondente a partire dalla matrice di rotazione R
% secondo la formuala data in Chiaverini Siciliano (SC)

if isrot(R) == 0
   s(4) = .5 * sqrt( 1 + R(1,1) + R(2,2) + R(3,3) );
   
	if s(4) == 0
		% disp ('rotation = 180 degrees')
		[u,teta]=rot2uth(R);
     s(1)=u(1);
     s(2)=u(2);
     s(3)=u(3);
	elseif s(4) == 1
		% disp ('rotation = 0 degrees')
		s(1) = 0;
   	s(2) = 0;
   	s(3) = 0;
	else
		s(1) = 0.5*sign(R(3,2) - R(2,3))*sqrt(+R(1,1) - R(2,2) - R(3,3) + 1);
   	s(2) = 0.5*sign(R(1,3) - R(3,1))*sqrt(-R(1,1) + R(2,2) - R(3,3) + 1);
   	s(3) = 0.5*sign(R(2,1) - R(1,2))*sqrt(-R(1,1) - R(2,2) + R(3,3) + 1);
   end
   	x(1) = s(4);
   	x(2) = s(1);
   	x(3) = s(2);
   	x(4) = s(3);
else
	disp ('Error in input matrix')
	x='ERROR';
end
