function R = uth2rotCS(u,teta)

% Uso: R = uth2rotCS(u,teta)
%
% calcola la matrice R 
% a partire da asse u ed angolo di rotazione teta (in gradi)
% usando la formula data da Chiaverini e Siciliano

n=norm(u);
r=u/n;
t=grad2rad(teta);
S=antisim(r);

R = eye(3)*cos(t) + (1-cos(t))*r*r' - sin(t)*S;

